Bug 228919 - GCC 4.2.1 removal
Summary: GCC 4.2.1 removal
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Many People
Assignee: John Baldwin
URL: https://wiki.freebsd.org/ExternalGCC
Keywords:
Depends on: 229348 233362 233405 233751 239851 241134 243119
Blocks: 233094
  Show dependency treegraph
 
Reported: 2018-06-12 08:47 UTC by Rodney W. Grimes
Modified: 2020-03-09 14:25 UTC (History)
10 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rodney W. Grimes freebsd_committer 2018-06-12 08:47:49 UTC
GCC 4.2.1 removal before 12.0 branch
Comment 1 John Baldwin freebsd_committer freebsd_triage 2018-06-13 00:50:04 UTC
Outright removal might be hard to pull off, but I do hope to have at least one current 4.2.1 architecture migrated to external GCC instead for 12.0 (if not more than one).

I wrote some notes about this today at the indicated URL.
Comment 2 Mark Johnston freebsd_committer 2018-10-09 15:11:00 UTC
I presume that this won't make it for 12.0, so perhaps the "blocks" attribute should be cleared?
Comment 3 John Baldwin freebsd_committer freebsd_triage 2018-10-10 00:18:27 UTC
Yeah, I have a lingering issue I haven't debugged in base/gcc that causes --sysroot to still find libraries in /usr/lib that I haven't run to ground.
Comment 4 Ed Maste freebsd_committer 2019-08-14 13:04:48 UTC
Warner posted a timeline for GCC 4.2.1 removal at https://lists.freebsd.org/pipermail/freebsd-arch/2019-August/019674.html
Comment 5 Pedro F. Giffuni freebsd_committer 2019-08-15 15:49:37 UTC
Add the libssp removal exp-run (currently failing) as a reminder to get rid of it.
Comment 6 commit-hook freebsd_committer 2019-11-07 19:37:56 UTC
A commit references this bug:

Author: emaste
Date: Thu Nov  7 19:37:26 UTC 2019
New revision: 354468
URL: https://svnweb.freebsd.org/changeset/base/354468

Log:
  arch.7: claim 12.x as the last architecture with sparc64 support

  GCC 4.2.1 is being removed before FreeBSD 13, as are some other
  components required by FreeBSD/sparc64.  Contemporary GCC does not build
  and there is currently no indication that anyone is going to address
  these issues.

  PR:		228919, 233405, 236839, 239851

Changes:
  head/share/man/man7/arch.7
Comment 7 Ed Maste freebsd_committer 2020-02-07 22:06:14 UTC
Scheduled for 2020-02-29
Code review: https://reviews.freebsd.org/D23124
Comment 8 commit-hook freebsd_committer 2020-02-29 03:26:17 UTC
A commit references this bug:

Author: emaste
Date: Sat Feb 29 03:25:53 UTC 2020
New revision: 358454
URL: https://svnweb.freebsd.org/changeset/base/358454

Log:
  remove GCC 4.2.1 build infrastructure

  As described in Warner's email message[1] to the FreeBSD-arch mailing
  list we have reached GCC 4.2.1's retirement date.  At this time all
  supported architectures either use in-tree Clang, or rely on external
  toolchain (i.e., a contemporary GCC version from ports).

  GCC 4.2.1 was released July 18, 2007 and was imported into FreeBSD later
  that year, in r171825.  GCC has served us well, but version 4.2.1 is
  obsolete and not used by default on any architecture in FreeBSD.  It
  does not support modern C and does not support arm64 or RISC-V.

  Thanks to everyone responsible for maintaining, updating, and testing
  GCC in the FreeBSD base system over the years.

  So long, and thanks for all the fish.

  [1] https://lists.freebsd.org/pipermail/freebsd-arch/2020-January/019823.html

  PR:		228919
  Reviewed by:	brooks, imp
  Sponsored by:	The FreeBSD Foundation
  Differential Revision:	https://reviews.freebsd.org/D23124

Changes:
  head/Makefile.inc1
  head/ObsoleteFiles.inc
  head/UPDATING
  head/etc/mtree/BSD.include.dist
  head/gnu/lib/Makefile
  head/gnu/lib/libgcov/
  head/gnu/lib/libgomp/
  head/gnu/lib/libstdc++/
  head/gnu/lib/libsupc++/
  head/gnu/usr.bin/Makefile
  head/gnu/usr.bin/cc/
  head/gnu/usr.bin/gperf/
  head/share/mk/local.dirdeps.mk
  head/share/mk/src.libnames.mk
  head/share/mk/src.opts.mk
  head/targets/pseudo/bootstrap-tools/Makefile
  head/targets/pseudo/toolchain/Makefile.depend
  head/targets/pseudo/userland/gnu/Makefile.depend
  head/tools/build/mk/OptionalObsoleteFiles.inc
  head/tools/build/options/WITHOUT_CLANG_IS_CC
  head/tools/build/options/WITHOUT_SYSTEM_COMPILER
  head/tools/build/options/WITH_SYSTEM_COMPILER
  head/tools/tools/nanobsd/dhcpd/common
  head/tools/tools/nanobsd/embedded/common
  head/usr.bin/clang/llvm-cov/Makefile
Comment 9 commit-hook freebsd_committer 2020-03-08 21:22:05 UTC
A commit references this bug:

Author: emaste
Date: Sun Mar  8 21:21:47 UTC 2020
New revision: 358787
URL: https://svnweb.freebsd.org/changeset/base/358787

Log:
  MFC r354468: arch.7: claim 12.x as the last architecture with sparc64 support

  PR:		228919, 233405, 236839, 239851

Changes:
_U  stable/12/
  stable/12/share/man/man7/arch.7